MDRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class MDRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.MDRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class MDRecord
      extends Record

  Mail Destination Record - specifies a mail agent which delivers mail for a domain (obsolete)
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Name` | `singleName`

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MDRecord(Name name, int dclass, long ttl, Name mailAgent)` Creates a new MD Record with the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getAdditionalName()` Returns the name for which additional data processing should be done for this record.
    `Name` | `getMailAgent()` Gets the mail agent for the domain
    `protected Name` | `getSingleName()`

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### singleName

          protected Name singleName

  - ### Constructor Detail

    - #### MDRecord

          public MDRecord(Name name,
                  int dclass,
                  long ttl,
                  Name mailAgent)

      Creates a new MD Record with the given data
      Parameters:
        `mailAgent` - The mail agent that delivers mail for the domain.

  - ### Method Detail

    - #### getMailAgent

          public Name getMailAgent()

      Gets the mail agent for the domain

    - #### getAdditionalName

          public Name getAdditionalName()

      Description copied from class: `Record`
      Returns the name for which additional data processing should be done for this record. This can be used both for building responses and parsing responses.
      Overrides:
        `getAdditionalName` in class `Record`
      Returns:
        The name to used for additional data processing, or null if this record type does not require additional data processing.

    - #### getSingleName

          protected Name getSingleName()